Muhammad Arsal Muhammad Arsal - 4 months ago 199
Java Question

Calender.getInstance() gives error in Android Studio

I'm trying to pop-open a

DatePicker
dialogue box when my
EditText
is clicked. The problem is, when I try to instantiate my
Calender
object with
Calender.getInstance()
the creepy-red-underline appears below
getInstance()
.

Calender myCalender = Calender.getInstance();


Hover over it and it says


Call requires API level 24(current minimum is 15).


Obviously I expect my app to run on devices at the minimum API level 15. Please help me with this, I'm new to Android. Thank you.

I tried to follow this method to add a DatePicker to my EditText

Answer

You have the wrong import statement for Calendar. It needs to be java.util.Calendar. My guess is that you have an import for android.icu.util.Calendar.